CGPAPPENDIDSTOVCF(1)

NAME
cgpAppendIdsToVcf.pl - Appends IDs to VCF files in the form of a sequencial increment or UUID generated.

SYNOPSIS
cgpAppendIdsToVcf.pl [-h] -i this.vcf -o this_with_ids.vcf

  General Options:

  --help      (-h)       Brief documentation

        --file      (-i)       The file to append IDs to.

        --outFile   (-o)       The output filename

        Optional parameters:

        --idstart   (-g)       Will set a sequential id generator to the given integer value. If not present will assign UUIDs to each variant.

        --version   (-v)       Prints version information.

  Examples:

    cgpAppendIdsToVcf.pl -f this.vcf -o this_with_ids.vcf -g 1